Bug 963267 - IOError: [Errno 9] Bad file descriptor
IOError: [Errno 9] Bad file descriptor
Status: CLOSED DUPLICATE of bug 1103450
Product: Fedora
Classification: Fedora
Component: babel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
abrt_hash:c1e0d80ed4f085d62fd53fe782a...
:
: 969032 974532 (view as bug list)
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-15 10:19 EDT by Ľuboš Kardoš
Modified: 2014-11-07 09:58 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-07 09:58:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb (159.48 KB, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: anaconda.log (2.38 KB, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: backtrace (1.43 KB, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: environ (760 bytes, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: ifcfg.log (486 bytes, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: lsblk_output (1.61 KB, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: nmcli_dev_list (3.38 KB, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: packaging.log (11.44 KB, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: program.log (23.92 KB, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: storage.log (52.87 KB, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details
File: syslog (64.93 KB, text/plain)
2013-05-15 10:19 EDT, Ľuboš Kardoš
no flags Details

  None (edit)
Description Ľuboš Kardoš 2013-05-15 10:19:24 EDT
Description of problem:
The following was filed automatically by anaconda:
anaconda 19.25-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/babel/localedata.py", line 111, in load
    fileobj.close()
  File "/usr/lib/python2.7/site-packages/babel/localedata.py", line 101, in load
    data = load(parent).copy()
  File "/usr/lib/python2.7/site-packages/babel/localedata.py", line 101, in load
    data = load(parent).copy()
  File "/usr/lib/python2.7/site-packages/babel/core.py", line 231, in _data
    self.__data = localedata.LocaleDataDict(localedata.load(str(self)))
  File "/usr/lib/python2.7/site-packages/babel/core.py", line 293, in languages
    return self._data['languages']
  File "/usr/lib/python2.7/site-packages/babel/core.py", line 250, in get_display_name
    retval = locale.languages.get(self.language)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/localization.py", line 92, in display_name
    display_name = self._localedata.display_name or self.english_name
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 172, in initialize
    self._addLanguage(store, trans.display_name,
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 338, in initialize
    LanguageMixIn.initialize(self)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 367, in run
    self._currentAction.initialize()
  File "/sbin/anaconda", line 1085, in <module>
    anaconda._intf.run()
IOError: [Errno 9] Bad file descriptor

Version-Release number of selected component:
anaconda-19.25-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta-TC4\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC4

Truncated backtrace:
Traceback (most recent call last):
  File "/sbin/anaconda", line 1085, in <module>
    anaconda._intf.run()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 367, in run
    self._currentAction.initialize()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 338, in initialize
    LanguageMixIn.initialize(self)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 172, in initialize
    self._addLanguage(store, trans.display_name,
  File "/usr/lib64/python2.7/site-packages/pyanaconda/localization.py", line 92, in display_name
    display_name = self._localedata.display_name or self.english_name
  File "/usr/lib/python2.7/site-packages/babel/core.py", line 250, in get_display_name
    retval = locale.languages.get(self.language)
  File "/usr/lib/python2.7/site-packages/babel/core.py", line 293, in languages
    return self._data['languages']
  File "/usr/lib/python2.7/site-packages/babel/core.py", line 231, in _data
    self.__data = localedata.LocaleDataDict(localedata.load(str(self)))
  File "/usr/lib/python2.7/site-packages/babel/localedata.py", line 101, in load
    data = load(parent).copy()
  File "/usr/lib/python2.7/site-packages/babel/localedata.py", line 101, in load
    data = load(parent).copy()
  File "/usr/lib/python2.7/site-packages/babel/localedata.py", line 111, in load
    fileobj.close()
IOError: [Errno 9] Bad file descriptor
Comment 1 Ľuboš Kardoš 2013-05-15 10:19:29 EDT
Created attachment 748314 [details]
File: anaconda-tb
Comment 2 Ľuboš Kardoš 2013-05-15 10:19:32 EDT
Created attachment 748315 [details]
File: anaconda.log
Comment 3 Ľuboš Kardoš 2013-05-15 10:19:34 EDT
Created attachment 748316 [details]
File: backtrace
Comment 4 Ľuboš Kardoš 2013-05-15 10:19:36 EDT
Created attachment 748317 [details]
File: environ
Comment 5 Ľuboš Kardoš 2013-05-15 10:19:39 EDT
Created attachment 748318 [details]
File: ifcfg.log
Comment 6 Ľuboš Kardoš 2013-05-15 10:19:41 EDT
Created attachment 748319 [details]
File: lsblk_output
Comment 7 Ľuboš Kardoš 2013-05-15 10:19:43 EDT
Created attachment 748320 [details]
File: nmcli_dev_list
Comment 8 Ľuboš Kardoš 2013-05-15 10:19:46 EDT
Created attachment 748321 [details]
File: packaging.log
Comment 9 Ľuboš Kardoš 2013-05-15 10:19:49 EDT
Created attachment 748322 [details]
File: program.log
Comment 10 Ľuboš Kardoš 2013-05-15 10:19:52 EDT
Created attachment 748323 [details]
File: storage.log
Comment 11 Ľuboš Kardoš 2013-05-15 10:19:57 EDT
Created attachment 748324 [details]
File: syslog
Comment 12 Ľuboš Kardoš 2013-05-15 10:26:17 EDT
I don't know what caused this error, I can't reproduce it, it is random error.
Comment 13 Brian Lane 2013-06-14 20:21:39 EDT
*** Bug 974532 has been marked as a duplicate of this bug. ***
Comment 14 Felix Schwarz 2013-10-02 14:43:55 EDT
*** Bug 969032 has been marked as a duplicate of this bug. ***
Comment 15 Felix Schwarz 2014-11-07 05:26:02 EST
It has been a long time since we got reports about this bug. Hence I'm inclined to close this as INSUFFICIENT_DATA. I'm really sorry but if we can't reproduce it there I don't know how to fix it. Any objection?
Comment 16 David Shea 2014-11-07 09:58:51 EST
It turned out to be a python bug. subprocess.py was closing file descriptors that didn't belong to it.

*** This bug has been marked as a duplicate of bug 1103450 ***

Note You need to log in before you can comment on or make changes to this bug.